{% extends "wizard/base.html" %}
{% block title %}Step 4: Image registry{% endblock %}
{% block step_content %}
<!-- Harbor instructions modal -->
  {% if wizard.app.harborproject %}
    {% with application=wizard.app %}
      {% include "modals/harbor_instructions.html" %}
    {% endwith %}
  {% endif %}

  <div class="row">
    <div class="col-12">
      <h1 class="mt-5">Step 4: Image registry</h1>
      <p>STRAP provides a private image registry that stores your app images and automatically scans for vulnerabilities. Once you click the <strong>Create project</strong> button below, we'll create a project for you and give you instructions for pushing your image(s) to the repository.</p>
      <div class="image-registry-container">
        {% with application=wizard.app %}
          {% include 'components/harbor_project.html' %}
        {% endwith %}
      </div>

        <!-- Navigation buttons -->
      {% with is_form=False %}
        {% include 'wizard/navigation_btns.html' %}
      {% endwith %}
    </div>
  </div>
{% endblock %}